`include "timescale.v"

module aestop (wb_if.DUT wbif);

  logic resetwb, resetaes, load, decrypt, ready;
  logic [127:0] key, data_i, data_o;

  always @(wbif.reset)
  begin
     resetwb = wbif.reset;
     resetaes = ~(wbif.reset);  
  end
  
  aes			aes (wbif.clk,resetaes,load,decrypt,data_i,key,ready,data_o);
  wb_aes_controller	wbc (wbif.clk,resetwb,wbif.wb_stb,wbif.wb_dat_o,wbif.wb_dat_i,wbif.wb_ack,wbif.wb_adr,wbif.wb_we,wbif.wb_cyc,wbif.wb_sel,load,decrypt,ready,data_i,key,data_o);
  
endmodule