
interface wb_if(input bit clk);

  logic reset, wb_stb, wb_ack, wb_we, wb_cyc;
  logic [31:0] wb_dat_o, wb_dat_i, wb_adr;
  logic [3:0] wb_sel;

  modport TST (output reset, wb_stb, wb_we, wb_cyc, wb_adr, wb_dat_i, wb_sel,
               input clk, wb_dat_o, wb_ack);

  modport DUT (output wb_dat_o, wb_ack,
               input reset, wb_stb, wb_we, wb_cyc, wb_adr, wb_dat_i, wb_sel, clk);

  modport SVA (input wb_dat_o, wb_ack, reset, wb_stb, wb_we, wb_cyc, wb_adr, wb_dat_i, wb_sel, clk);

endinterface



